# HIPAAIdentifierMatch.MatchType (ARX GUI Documentation)

org.deidentifier.arx.risk

## Enum HIPAAIdentifierMatch.MatchType

- java.lang.Object
- - java.lang.Enum<HIPAAIdentifierMatch.MatchType>
  - - org.deidentifier.arx.risk.HIPAAIdentifierMatch.MatchType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HIPAAIdentifierMatch.MatchType>
  Enclosing class:
    HIPAAIdentifierMatch

      public static enum HIPAAIdentifierMatch.MatchType
      extends java.lang.Enum<HIPAAIdentifierMatch.MatchType>

  Represents the classifier for the HIPAA identifier.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE_NAME`
    `ATTRIBUTE_VALUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HIPAAIdentifierMatch.MatchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HIPAAIdentifierMatch.MatchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ATTRIBUTE_NAME

          public static final HIPAAIdentifierMatch.MatchType ATTRIBUTE_NAME

    - #### ATTRIBUTE_VALUE

          public static final HIPAAIdentifierMatch.MatchType ATTRIBUTE_VALUE

  - ### Method Detail

    - #### values

          public static HIPAAIdentifierMatch.MatchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HIPAAIdentifierMatch.MatchType c : HIPAAIdentifierMatch.MatchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HIPAAIdentifierMatch.MatchType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null